Bug 497693 - banshee fails to transcode files
banshee fails to transcode files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 05:17 EDT by Christoph Höger
Modified: 2010-06-28 08:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to prevent null dereference (735 bytes, patch)
2009-04-26 08:46 EDT, Christoph Höger
no flags Details | Diff

  None (edit)
Description Christoph Höger 2009-04-26 05:17:50 EDT
Description of problem:
When trying to copy music on my mp3-player, I need to convert it from ogg to mp3.
This fails with: 
Object reference not set to an instance of an object

(sounds like simple null pointer dereference to me)

Version-Release number of selected component (if applicable):
banshee-1.4.3-1.fc11.i586

How reproducible:
always

1. copy .ogg files to the device

Additional info:
Here is the log:


[Info  10:40:21.222] Running Banshee 1.4.3: [Fedora11-1.4.3-1.fc11 (linux-gnu, i386) @ 2009-03-05 06:14:13 EST]
[Info  10:40:26.518] All services are started 4,555518s
[Info  10:40:28.523] nereid Client Started
[Info  10:40:37.322] Sync calculated for Musikbibliothek: to add: 236 items, remove 21 items; sync_src.cacheid = 119, to_add.cacheid = 127, to_remove.cacheid = 135
Sync calculated for Videobibliothek: to add: 64 items, remove 0 items; sync_src.cacheid = 137, to_add.cacheid = 139, to_remove.cacheid = 147
Sync calculated for Podcasts: to add: 0 items, remove 0 items; sync_src.cacheid = 151, to_add.cacheid = 155, to_remove.cacheid = 163

[Warn  10:41:03.282] Caught an exception - Object reference not set to an instance of an object (in `Banshee.Dap')
  at Banshee.Dap.DapSource.TrackNeedsTranscoding (Banshee.Collection.TrackInfo track) [0x00000] 
  at Banshee.Dap.DapSource.AddTrackAndIncrementCount (Banshee.Collection.Database.DatabaseTrackInfo track) [0x00000] 
  at Banshee.Sources.PrimarySource.AddTrackList (System.Object cached_list) [0x00000]
Comment 1 Christoph Höger 2009-04-26 08:45:33 EDT
This seems to be the very same issue as 
https://bugzilla.redhat.com/show_bug.cgi?id=497649

banshee allows to select a transformation in the devices property dialog, but that gets ignored at all.

Workaroung is setting output_formats= ... in .is_audio_player

But I think a patch like the one attached (I am not a c# dev, so I do not know how to pop up a error message) is needed.
Comment 2 Christoph Höger 2009-04-26 08:46:39 EDT
Created attachment 341350 [details]
patch to prevent null dereference
Comment 3 Bug Zapper 2009-06-09 10:35:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:56:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:13:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.